### File

`packages/components/layout/eui-header/header-logo/header-logo.component.ts`

### Implements

`OnInit` `OnDestroy`

### Metadata

encapsulation | `ViewEncapsulation.None`
selector | `eui-header-logo`
imports | `RouterLink` `AsyncPipe` `TranslateModule`
templateUrl | `./header-logo.component.html`
styleUrl | `./header-logo.component.scss`

### Index

###### Properties
cssClass
###### Inputs
homeUrl logoHeight logoUrl logoWidth
###### HostBindings
class
###### Accessors
svgUrl svgUrlDark

### Inputs

homeUrl
Type : `string`
Default value : `'..'`

logoHeight
Type : `string`
Default value : `'64px'`

logoUrl
Type : `string`

logoWidth
Type : `string`
Default value : `'260px'`

### HostBindings

class
Type : `string`
Default value : `'eui-header-logo'`

### Properties

cssClass
Type : `string`
Default value : `'eui-header-logo'`
Decorators : `@HostBinding('class')`

### Accessors

svgUrl
get `svgUrl()`

svgUrlDark
get `svgUrlDark()`

# results matching ""

# No results matching ""